<?php

namespace App\Modelos;

use Core\Database;

class ProductoFactor extends Database
{
    protected $table = 'app_producto_factor';

    public function obtenerFactorProducto(int $id_producto)
    {
        return $this->consultar("SELECT d.div_nombre div_master_nombre, d2.div_nombre div_buscada, bf.bifac_factor factor, DATE_FORMAT(bf.bifac_fecha, '%d-%m-%Y %h:%i %p') fecha
        FROM app_producto_factor pf
        JOIN app_bitacora_factor bf ON pf.profac_bifac_serial = bf.bitfac_relacion
        JOIN app_divisas d ON bf.bifac_divid_uno = d.div_id 
        JOIN app_divisas d2 ON bf.bifac_divid_dos = d2.div_id
        WHERE profac_proid = $id_producto")->all();
    }
}
